B64 (Encode/Decode Utilities (Version 1.10-SNAPSHOT))
Date: 2015-09-13

org.apache.commons.codec.digest

## Class B64

- java.lang.Object
- - org.apache.commons.codec.digest.B64

-      class B64
      extends java.lang.Object

  Base64 like method to convert binary bytes into ASCII chars. TODO: Can Base64 be reused?

  This class is immutable and thread-safe.

  Since:
    1.7
  Version:
    $Id: B64.java 1435550 2013-01-19 14:09:52Z tn $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.lang.String` | `B64T` Table with characters for Base64 transformation.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `B64()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static void` | `b64from24bit(byte b2, byte b1, byte b0, int outLen, java.lang.StringBuilder buffer)` Base64 like conversion of bytes to ASCII chars.
    `(package private) static java.lang.String` | `getRandomSalt(int num)` Generates a string of random chars from the B64T set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### B64T

          static final java.lang.String B64T

      Table with characters for Base64 transformation.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### B64

          B64()

  - ### Method Detail

    - #### b64from24bit

          static void b64from24bit(byte b2,
                          byte b1,
                          byte b0,
                          int outLen,
                          java.lang.StringBuilder buffer)

      Base64 like conversion of bytes to ASCII chars.
      Parameters:
        `b2` - A byte from the result.
        `b1` - A byte from the result.
        `b0` - A byte from the result.
        `outLen` - The number of expected output chars.
        `buffer` - Where the output chars is appended to.

    - #### getRandomSalt

          static java.lang.String getRandomSalt(int num)

      Generates a string of random chars from the B64T set.
      Parameters:
        `num` - Number of chars to generate.

commons-codec version 1.10-SNAPSHOT - Copyright © 2002-2015 - Apache Software Foundation